use std::collections::HashMap;

use raylib::ffi::KeyboardKey;
use serde::{Deserialize, Serialize};

#[derive(Debug, Default, Deserialize, Serialize)]
pub struct Config {
	hotkeys: Hotkeys,
}

#[derive(Debug, Default, Deserialize, Serialize)]
pub struct Hotkeys {
	map: HashMap<String, Hotkey>,
}

#[derive(Debug, Deserialize, Serialize)]
pub struct Hotkey {
	modifiers: Vec<u32>,
	trigger: Trigger,
}

#[derive(Debug, Deserialize, Serialize)]
pub enum Trigger {
	Mouse(u32),
	Key(u32),
}
